[HEADER]
NAME="passwd"
FILE_NAME="passwd.sh"
DESCRIPTION="Checks passwd for whether
               * /etc/passwd has permission 644 and its owner is root:root
               * /etc/shadow has permission 400 and its owner is root:root
               * line is not blank
               * line has correct number of fields
               * username is not empty
               * username contains only alpha-numeric characters
               * username is shorter than 32 chars
               * all users have password
               * all passwords are shadowed
               * UID and GID are valid numbers
               * UID and GID are in range 500..60000
               * user has UID 0, but his username is not root
               * user has UID 1, but his username is not bin
               * user has GID 0, but his username is not root
               * user has GID 1, but his username is not bin
               * user has negative UID
               * user has negative GID
               * there are users with same UID
               * there are same username
               * root has UID 0
               * user has valid shell (listed in /etc/shells)"
LEVELS="1 2 3 4 5"
GROUPS="filesystem"
DEPS="gawk grep which"
AUTHOR="Michel Samia <msamia@redhat.com>"

[DEFAULT]

[LEVEL_1]

[LEVEL_2]
