[HEADER]
NAME="shadow"
FILE_NAME="shadow.sh"
SHORT_DESCRIPTION="Tests shadow file"

DESCRIPTION="Checks shadow for whether
               * /etc/shadow has permission 400 and its owner is root:root
               * line is not blank
               * line has correct number of fields
               * username is not empty
               * username contains only alpha-numeric characters
               * username is shorter than 32 chars
               * all users have password
               * there are same usernames"
LEVELS="1 2 3 4 5"
DEFAULT_LEVEL="1"
GROUPS="filesystem"
DEPS="gawk grep sed which"
AUTHOR="Michel Samia <msamia@redhat.com>"

[DEFAULT]

[LEVEL_1]

[LEVEL_2]
