[HEADER]
NAME="openvpn"
FILE_NAME="openvpn.sh"
DESCRIPTION="OpenVPN configuration audit."
NEED_DATA_DIR=1
LEVELS="3 4 5"
GROUPS="network"
REQUIRES="openvpn"
AUTHOR="Dan Kopecek <dkopecek@redhat.com>"

[DEFAULT]
OVPN_USER="openvpn"
OVPN_GROUP="openvpn"
OVPN_CONFIG_PERM=755
OVPN_CONFIG_OWNER="root:root"
OVPN_CONFIGDIR_PERM=755
OVPN_CONFIGDIR_OWNER="root:root"
OVPN_PRIVKEY_PERM=600
OVPN_PRIVKEY_OWNER="root:root"
OVPN_CERT_PERM=644
OVPN_CERT_OWNER="root:root"
OVPN_CHECK_SHA256=1
OVPN_SHA256_LIST="sshd.sum"
OVPN_SAVE_SHA256_CHANGES=1
OVPN_DEFAULT_KEYS="/etc/openvpn/client.key /etc/openvpn/server.key"
OVPN_DEFAULT_DIR="/etc/openvpn"
OVPN_DEFAULT_CONF="/etc/openvpn/openvpn.conf"
PARANOID=0

[LEVEL_3]

[LEVEL_4]

[LEVEL_5]
PARANOID=1
