[HEADER]
NAME="mountopt"
FILE_NAME="mountopt.py"
DESCRIPTION="Checks for potentially insecure mount options in /etc/fstab like
             not having nosuid on removable devices etc."
LEVELS="2 3 4 5"
GROUPS="filesystem"
DEPS=""
AUTHOR="Jakub Hrozek <jhrozek@redhat.com>"

[DEFAULT]
DEFAULTS="rw suid dev exec auto nouser async"
FILES="/etc/fstab"
LOCAL_TYPES="ext2 ext3"
REMOVABLE_TYPES="floppy cdrom iso9660 vfat msdos"
REMOTE_TYPES="nfs nfs4 smbfs cifs ncpfs"
# If don't want some mountpoint to be checked, add it to blacklist
BLACKLIST="/boot"

REMOTE_REQ="nodev"
REMOTE_SUGG="noexec nosuid"

REMOVABLE_REQ="nodev nosuid noexec"

LOCAL_REQ="nodev"
