[HEADER]
NAME="vsftpd"
FILE_NAME="vsftpd.py"
DESCRIPTION="Check vsftpd configuration for:
             * Server listening configuration
             * Port range"
             * DoS vulnerability via ascii mangling
             * Excessive I/O via -R option in ls command
             * ...and other staff
             --
             Check system for:
             * Good permissions on configuration files and directories
             * If all configuration files exists
             * If selinux isn't denying vsftpd in work"
LEVELS="3 4 5"
GROUPS="daemons network test"
NEED_DATA_DIR=0
REQUIRES="vsftpd"
AUTHOR="Maros Barabas <mbarabas@redhat.com>"

[DEFAULT]
PASSWD_FILE="/etc/passwd"
CONFIG_FILE="/etc/vsftpd/vsftpd.conf"

