[HEADER]
NAME="integrity"
FILE_NAME="integrity.sh"
DESCRIPTION="System integrity test. Checks presence and integrity of
             system commands and directories. For checking the integrity
             of binaries the command rpmverify (rpm -Vf) is used. A search
	     for duplicates is also done for each command."
NEED_DATA_DIR=0
LEVELS="1 2 3 4 5"
GROUPS="sectool filesystem"
DEPS="rpmverify basename"
#REQUIRES="disabled_needs_rewrite"
AUTHOR="Dan Kopecek <dkopecek@redhat.com>"

[DEFAULT]

CMDPATH="/bin:/sbin:/root/bin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin"
RPMVERIFY="/usr/bin/rpmverify"
COREPKG="coreutils"
DIRECTORY_LIST="/bin
		/sbin
		/lib
		/usr/bin
		/usr/sbin
		/usr/lib
		/usr/libexec
		/tmp
		/proc
		/var"

SHADOWTEST=1
