[HEADER]
NAME="group"
FILE_NAME="group.sh"
DESCRIPTION="Checks group for whether
               * line is not blank
               * line has correct number of fields
               * groupname is not empty
               * groupname contains only alpha-numeric characters
               * groupname is shorter than 32 chars
               * all group passwords are shadowed
               * GIDs are valid numbers
               * GIDs are in range 0..60000
               * there are groups with same GID
               * there are same groupnames"
LEVELS="1 2 3 4 5"
GROUPS="filesystem"
DEPS="gawk grep which"
AUTHOR="Michel Samia <msamia@redhat.com>"

[DEFAULT]

[LEVEL_1]

[LEVEL_2]
