[HEADER]
NAME="home_dirs"
FILE_NAME="home_dirs.sh"
DESCRIPTION="Checks home directory attributes, how many users have uid 0, if
             there are any unknown directories in /home (see HOME_ROOT_DIRS variable)."
LEVELS="1 2 3 4 5"
GROUPS="filesystem"
DEPS="basename dirname env grep id sed sort stat tr uniq which"
AUTHOR="Daniel Kopecek <dkopecek@redhat.com>"
NEED_DATA_DIR=1

[DEFAULT]
HOME_ROOT_DIRS="/home"
HOME_DIRS_FILE="homelist.log"

# ! KEEP THIS LIST SORTED !
HOME_DIRS_IGNORE="lost+found"

# ! KEEP THIS LIST SORTED !
SYSTEM_ACCOUNTS="adm
		 avahi
		 bin
		 daemon
		 dbus
		 ftp
		 games
		 gdm
		 gopher
		 haldaemon
		 halt
		 lp
		 mail
		 mailnull
		 news
		 nfsnobody
		 nobody
		 nscd
		 ntp
		 operator
		 rpc
		 shutdown
		 smmsp
		 smolt
		 sshd
		 sync
		 tcpdump
		 uucp
		 vcsa"

[LEVEL_1]

[LEVEL_2]
