[HEADER]
NAME="firewall"
FILE_NAME="firewall.sh"
DESCRIPTION="Simple analysis of firewall policy rules."
NEED_DATA_DIR=1
LEVELS="3 4 5"
GROUPS="network"
DEPS="iptables ip6tables ip bash netstat route grep sed lsof ping ping6 arp sysctl"
AUTHOR="Dan Kopecek <dkopecek@redhat.com>"

[DEFAULT]
ENABLE_IPV4=1
ENABLE_IPV4_FWCHECK=1
SCAN_TCP4=0
SCAN_UDP4=0
ENABLE_IPV6=1
ENABLE_IPV6_FWCHECK=0
SCAN_TCP6=0
SCAN_UDP6=0
DEV_BLACKLIST="virbr[0-9]* lo"
PARANOID=0

[LEVEL_5]
PARANOID=1
