[HEADER]
NAME="netserv"
FILE_NAME="netserv.sh"
DESCRIPTION="Audit of currently running network services."
NEED_DATA_DIR=0
LEVELS="3 4 5"
GROUPS="network selinux"
DEPS="gawk grep mount netstat rpmquery sed which yum openssl"
AUTHOR="Daniel Kopecek <dkopecek@redhat.com>, Lukas Kuklinek <lkukline@redhat.com>"

[DEFAULT]
CHECK_TCP=1
CHECK_UDP=1
CHECK_UNIX=1
CHECK_UPDATES=0
#CHECK_CONFIG=1
RECORD_DURATION=1
YUM_PIDFILE="/var/run/yum.pid"

# Options to test unconfined processes
# selinux type to match (can be regexp)
SETYPE_MATCH="unconfined_t\|initrc_t"
# range of ports to be checked for listening processes
PORT_MIN=0
PORT_MAX=1024
# message types for different report messages
DAEMONS_ROOT_REPORTTYPE="ERROR"
DAEMONS_USER_REPORTTYPE="NONE"
LISTENERS_ROOT_REPORTTYPE="ERROR"
LISTENERS_USER_REPORTTYPE="WARNING"

[LEVEL_3]
CHECK_UPDATES=0

[LEVEL_4]
CHECK_UPDATES=0

DAEMONS_USER_REPORTTYPE="WARNING"
LISTENERS_USER_REPORTTYPE="ERROR"

[LEVEL_5]
CHECK_UPDATES=1

DAEMONS_USER_REPORTTYPE="ERROR"
LISTENERS_USER_REPORTTYPE="ERROR"
PORT_MAX=65536
