[HEADER]
NAME="selinux"
FILE_NAME="selinuxtest.py"
DESCRIPTION="Checks if you have SELinux enabled and monitors any booleans changes."
NEED_DATA_DIR=1
LEVELS="2 3 4 5"
GROUPS="selinux"
DEPS="getenforce libselinux-python"
AUTHOR="Lukas Kuklinek <lkukline@redhat.com>"

[DEFAULT]
# filename to store results of previous run of the test
OLDBOOLS_FILE=selinux_oldbools
# desired selinux mode
MODE=Enforcing
# type of message if selinux mode does not match
DISABLED_MSGTYPE=WARNING
PARANOID=0

[LEVEL_1]
MODE=Permissive
DISABLED_MSGTYPE=WARNING

[LEVEL_2]
MODE=Permissive
DISABLED_MSGTYPE=WARNING

[LEVEL_3]
MODE=Enforcing
DISABLED_MSGTYPE=WARNING

[LEVEL_4]
MODE=Enforcing
DISABLED_MSGTYPE=ERROR

[LEVEL_5]
MODE=Enforcing
DISABLED_MSGTYPE=ERROR
PARANOID=1

