#!/usr/bin/env sh
. "${TESTS_DIRS}/bash_defs.sh"

SELINUX_MODE=`getenforce`


if [[ $SELINUX_MODE != $MODE ]] && [[ $SELINUX_MODE != "Enforcing" ]]
then
	report $MESSAGE_TYPE 1 "Selinux is in "$SELINUX_MODE" mode."
        report HINT 1 "Using Enforing mode is highly recommended. See selinux manual page for switching to Enforcing mode."
fi

test_exit ${E_OK}

